# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Name:		qubes-gui-agent-selinux
Version:	4.2.7
Release:	1%{dist}
Summary:	The Qubes GUI Agent for AppVMs
License:	GPLv2+
URL:		https://www.qubes-os.org
BuildArch: noarch

BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
BuildRequires: qubes-core-agent-selinux
Requires(post): qubes-core-agent-selinux
BuildRequires: qubes-core-qrexec-vm-selinux
Requires(post): qubes-core-qrexec-vm-selinux
%{?selinux_requires}

Source0: qubes-gui-agent-%{version}.tar.gz

%description
SELinux policy for the Qubes GUI Agent.  This allows the Qubes GUI Agent to run
in a VM with SELinux enforcing, as is the default on Red Hat-family
distributions.

%prep
%setup -qn qubes-gui-agent-%{version}

%files
%_datadir/selinux/packages/qubes-gui-agent.pp

%build
%{?set_build_flags}
#make clean
make selinux

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%install
make install-selinux DESTDIR=$RPM_BUILD_ROOT \
                     LIBDIR=%{_libdir} \
                     DATADIR=%{_datadir} \

%post

%selinux_modules_install %{_datadir}/selinux/packages/qubes-gui-agent.pp

%postun
if [ "$1" -eq 0 ]; then
    %selinux_modules_uninstall %{_datadir}/selinux/packages/qubes-gui-agent.pp
fi || :

%posttrans
%selinux_relabel_post
exit 0

%changelog
* Tue May 16 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-agent-linux.git

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d262c4
- version 4.2.7

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1aad0f6
- deb: Fix clearing source commands

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e81afe3
- version 4.2.6

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 644a0b0
- Cleanup unused file

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 471c7ac
- Update CI exclude for install

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c4460b7
- pipewire: drop service vm to be set

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3d9b94a
- Step back for jammy on pipewire

* Sun May 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ad04750
- version 4.2.5

* Sun May 07 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c5e8d77
- debian: move piprewire-pulse in Recommends

* Sun May 07 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - aad0b54
- debian: update maintainer

* Sun May 07 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - af6700d
- debian: enable pipewire starting from bookworm

* Thu May 04 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bdf04d9
- pipewire-qubes: add pipewire-pulse dependency

* Tue May 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a831cb
- Fix setting pipewire-qubes as recommended under Ubuntu jammy

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b83e4b5
- jammy: use pipewire

* Tue May 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 948422a
- pulse: use pulseaudio version from pkg-config

* Tue May 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e404e5e
- .qubesbuilder: fix sed for ubuntu

* Fri Apr 28 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5e8e1d1
- Add support for Ubuntu in builderv2

* Wed Apr 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1e8d1d
- version 4.2.4

* Wed Apr 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf245e7
- Add pulse 15.99.1 headers for jammy build

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - ab5cd1f
- PipeWire agent is not less code

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5dceb10
- PipeWire agent: Add dependency on PipeWire

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 9a5d494
- Fix 'make install'

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - ffed70d
- Advertise the PipeWire service to dom0

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 1a02811
- Turn off PulseAudio if PipeWire is enabled

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 147038f
- Check that atomics are lock-free

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - cfe9236
- Avoid using bitfields

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 5998085
- Allow domain IDs up to INT_MAX/2

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - f8acb0d
- Use (C) instead of © in COPYING

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 88c0bb9
- Debian packaging fixups

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 75cda13
- Assert that SPA builder succeeded

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 62096af
- Use a smaller SPA builder buffer

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - aece0a6
- Fix NULL pointer dereference if vchan connection fails

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 7e1c6ec
- Shut down dead streams

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 53f21df
- Remove shutting_down global variable

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 90c2d0d
- Use common code for stream shutdown

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - e7e8659
- Provide default buffer sizes

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 0223d63
- Process control commands if an overrun occurs

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - ffbb586
- Sync stream states after vchan open

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 28eb0d6
- Do not disable streams if control vchan is closed

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - f8b8bdc
- Only use pw_log_error() for true errors

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 36b24d4
- Do not rely on asserts for error handling

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 92e51ff
- Report stream states on vchan connect

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - eeaec6c
- Shorten the name of the module

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 53252f6
- Update usage information

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - d83b6a8
- Ensure that assertions are enabled

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 3b84672
- Fix build with old PipeWire

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - ebbe882
- Try to handle configuration overrides

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - fa88d0f
- Distribute license text with package

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 914ab04
- Packaging fixups

* Fri Apr 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 0c322d9
- Use less strict number parsing

